Skip to content

Loading…

Fix missing dependency for mod_ssl for RHEL/CentOS #27

Merged
merged 1 commit into from

2 participants

@sgp

The commit is pretty simple; it just allows installing Passenger without having Package['mod_ssl'] defined, similar to the deps for httpd and httpd-devel.

@blt04 blt04 merged commit 6d4d852 into blt04:master
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Commits on Dec 12, 2011
This page is out of date. Refresh to see the latest.
Showing with 2 additions and 1 deletion.
  1. +2 −1 manifests/classes/passenger-centos-pre.pp
View
3 manifests/classes/passenger-centos-pre.pp
@@ -3,5 +3,6 @@
# Dependencies
if ! defined(Package["httpd"]) { package { "httpd": ensure => installed } }
if ! defined(Package["httpd-devel"]) { package { "httpd-devel": ensure => installed } }
+ if ! defined(Package["mod_ssl"]) { package { "mod_ssl": ensure => installed } }
-}
+}
Something went wrong with that request. Please try again.